# CommandLibrary
Date: 2020-04-18

me.legofreak107.vehiclesplus.libraries.commandlibrary

## Class CommandLibrary

- java.lang.Object
- - org.bukkit.plugin.PluginBase
  - - org.bukkit.plugin.java.JavaPlugin
    - - me.legofreak107.vehiclesplus.libraries.commandlibrary.CommandLibrary

All Implemented Interfaces:
  org.bukkit.command.CommandExecutor, org.bukkit.command.TabCompleter, org.bukkit.command.TabExecutor, org.bukkit.plugin.Plugin

    public final class CommandLibrary
    extends org.bukkit.plugin.java.JavaPlugin

### Constructor Summary

Constructors
Constructor and Description
`CommandLibrary()`

### Method Summary

All Methods Static Methods Concrete Methods
`static org.bukkit.plugin.java.JavaPlugin` `getInstance()`
`static void` `registerCommand(java.lang.Object commandInstance)`
`static void` `setInstance(org.bukkit.plugin.java.JavaPlugin instance)`

### Methods inherited from class org.bukkit.plugin.java.JavaPlugin

`getClassLoader, getCommand, getConfig, getDataFolder, getDefaultWorldGenerator, getDescription, getFile, getLogger, getPlugin, getPluginLoader, getProvidingPlugin, getResource, getServer, getTextResource, isEnabled, isNaggable, onCommand, onDisable, onEnable, onLoad, onTabComplete, reloadConfig, saveConfig, saveDefaultConfig, saveResource, setEnabled, setNaggable, toString`

### Methods inherited from class org.bukkit.plugin.PluginBase

`equals, getName, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.bukkit.plugin.Plugin

`getSLF4JLogger`

### Constructor Detail

#### CommandLibrary

    public CommandLibrary()

### Method Detail

#### getInstance

    public static org.bukkit.plugin.java.JavaPlugin getInstance()

#### setInstance

    public static void setInstance(org.bukkit.plugin.java.JavaPlugin instance)

#### registerCommand

    public static void registerCommand(java.lang.Object commandInstance)